> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get positions for a market

> Returns positions for a market, optionally filtered to a single user.



## OpenAPI

````yaml openapi/polymarket-data.json GET /apis/v1/polymarket/v1/market-positions
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Data
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/activity
    - /apis/v1/polymarket/closed-positions
    - /apis/v1/polymarket/holders
    - /apis/v1/polymarket/live-volume
    - /apis/v1/polymarket/oi
    - /apis/v1/polymarket/positions
    - /apis/v1/polymarket/traded
    - /apis/v1/polymarket/v1/accounting/snapshot
    - /apis/v1/polymarket/v1/builders/leaderboard
    - /apis/v1/polymarket/v1/builders/volume
    - /apis/v1/polymarket/v1/leaderboard
    - /apis/v1/polymarket/v1/market-positions
    - /apis/v1/polymarket/value
  x-aisa-document:
    facts_hash: feb7e7e799d9177ec0f8882f97e02989b98ffb3fbe1ccec4889e76a0a2aa653d
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:74a76870f8ab0c802f330a8dabec1556aae0a5e3ff3735553eb70c60d5871dbd
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-data
  x-aisa-catalogs:
    polymarket-data:
      title: Polymarket Data
      description: ''
      x-aisa-document:
        facts_hash: feb7e7e799d9177ec0f8882f97e02989b98ffb3fbe1ccec4889e76a0a2aa653d
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/v1/market-positions:
    get:
      tags:
        - default
      summary: Get positions for a market
      description: Returns positions for a market, optionally filtered to a single user.
      operationId: any_polymarket_data_apis_v1_polymarket_v1_market__d8f158
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            default: 50
            minimum: 0
            maximum: 500
          description: Max number of positions to return per outcome token
        - in: query
          name: market
          required: true
          schema:
            type: string
            description: 0x-prefixed 64-hex string
            pattern: ^0x[a-fA-F0-9]{64}$
            example: '0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917'
          description: The condition ID of the market to query positions for
        - in: query
          name: offset
          schema:
            type: integer
            default: 0
            minimum: 0
            maximum: 10000
          description: Pagination offset per outcome token
        - in: query
          name: sortBy
          schema:
            type: string
            enum:
              - TOKENS
              - CASH_PNL
              - REALIZED_PNL
              - TOTAL_PNL
            default: TOTAL_PNL
          description: |
            Sort positions by:
            - `TOKENS` — Position size (number of tokens)
            - `CASH_PNL` — Unrealized cash PnL
            - `REALIZED_PNL` — Realized PnL
            - `TOTAL_PNL` — Total PnL (cash_pnl + realized_pnl)
        - in: query
          name: sortDirection
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
        - in: query
          name: status
          schema:
            type: string
            enum:
              - OPEN
              - CLOSED
              - ALL
            default: ALL
          description: |
            Filter positions by status.
            - `OPEN` — Only positions with size > 0.01
            - `CLOSED` — Only positions with size <= 0.01
            - `ALL` — All positions regardless of size
        - in: query
          name: user
          schema:
            type: string
            description: User Profile Address (0x-prefixed, 40 hex chars)
            pattern: ^0x[a-fA-F0-9]{40}$
            example: '0x56687bf447db6ffa42ffe2204a05edaa20f55839'
          description: Filter to a single user by proxy wallet address
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Response65D835437A58_MetaMarketPositionV1
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response65D835437A58_MetaMarketPositionV1:
      type: object
      properties:
        token:
          type: string
          description: The outcome token asset ID
        positions:
          type: array
          items:
            $ref: '#/components/schemas/Response65D835437A58_MarketPositionV1'
    Response65D835437A58_MarketPositionV1:
      type: object
      properties:
        proxyWallet:
          $ref: '#/components/schemas/Response65D835437A58_Address'
        name:
          type: string
        profileImage:
          type: string
        verified:
          type: boolean
        asset:
          type: string
        conditionId:
          $ref: '#/components/schemas/Response65D835437A58_Hash64'
        avgPrice:
          type: number
        size:
          type: number
        currPrice:
          type: number
        currentValue:
          type: number
        cashPnl:
          type: number
        totalBought:
          type: number
        realizedPnl:
          type: number
        totalPnl:
          type: number
        outcome:
          type: string
        outcomeIndex:
          type: integer
    Response65D835437A58_Address:
      type: string
      description: User Profile Address (0x-prefixed, 40 hex chars)
      pattern: ^0x[a-fA-F0-9]{40}$
      example: '0x56687bf447db6ffa42ffe2204a05edaa20f55839'
    Response65D835437A58_Hash64:
      type: string
      description: 0x-prefixed 64-hex string
      pattern: ^0x[a-fA-F0-9]{64}$
      example: '0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.